<?php

/**
* 01/06/2015
* @author Francis
* 
* Descontinuado em 22/07/2021 icaro quintao
* utiliar a criptografia disponivel em Teknisa\Libs\Util\Utilities
*/

namespace Teknisa\GER\Services;

use Doctrine\ORM\EntityManager;

class CryptService {

	public function getWebCrypt($password) {
		return md5($password);
	}

	public function getDelphiCrypt($password) {
		$url = 'http://security.teknisa.com/comwebservice/service.asmx?wsdl';
        $opcoes = array(
			'encoding'    => 'ISO-8859-1',
			'trace'       => true,
			'exceptions'  => true,
			'compression' => SOAP_COMPRESSION_ACCEPT | SOAP_COMPRESSION_GZIP,
        );
        $argumentos = array(
            new \SoapVar($password, XSD_STRING, 'string', "http://www.w3.org/2001/XMLSchema")
        );
        $parametros = array(
            'rdm'    => 'Bib_html.rdmDBGeralHtm',
            'method' => 'GetCriptoPass',
            'args'   => $argumentos,
        );
        try {
            $cliente = new \SoapClient($url, $opcoes);
            $retorno = $cliente->executeCOMMethod($parametros);
            $criptografia = $retorno->executeCOMMethodResult;
        }catch (\SoapFault $e) {
			throw new \Exception($e->getMessage());
        }
        return $criptografia;
	}

    public function getDelphiUnCrypt($password) {
        $url = 'http://security.teknisa.com/comwebservice/service.asmx?wsdl';
        $opcoes = array(
            'encoding'    => 'ISO-8859-1',
            'trace'       => true,
            'exceptions'  => true,
            'compression' => SOAP_COMPRESSION_ACCEPT | SOAP_COMPRESSION_GZIP,
        );
        $argumentos = array(
            new \SoapVar($password, XSD_STRING, 'string', "http://www.w3.org/2001/XMLSchema")
        );
        $parametros = array(
            'rdm'    => 'Bib_html.rdmDBGeralHtm',
            'method' => 'GetUnCriptoPass',
            'args'   => $argumentos,
        );
        try {
            $cliente = new \SoapClient($url, $opcoes);
            $retorno = $cliente->executeCOMMethod($parametros);
            $criptografia = $retorno->executeCOMMethodResult;
        }catch (\SoapFault $e) {
            throw new \Exception($e->getMessage());
        }
        return $criptografia;
    }


}